<?php

namespace Planaday\Api\Mock;

use Planaday\Api\RegistrationApi;
use Planaday\Config\General\Debug\DebugSettings;
use Planaday\Utility\Debug\Log\Logging;

class MockRegistrationApi implements RegistrationApi{
	use Logging;

	public function __construct(
		protected DebugSettings $debugSettings
	) {}

	public function register(): void {
		if($this->debugSettings->isUrlRegistration() === false) {
			$this->logInfo("MockRegistrationApi registration skipped (disabled in debug settings)");
			return;
		}

		$this->logInfo("MockRegistrationApi registering");
	}
}